| Home | Libraries | People | FAQ | More

###### params_encoded_ref::insert (1 of 3 overloads)

Insert params.

###### Synopsis

    iterator
    insert(
        iterator before,
        param_pct_view const& p);

###### Description

This function inserts a param before the specified position.

All iterators that are equal to `before` or come after are invalidated.

###### Complexity

Linear in `this->url().encoded_query().size()`.

###### Exception Safety

Strong guarantee. Calls to allocate may throw. Exceptions thrown on invalid input.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `p` contains an invalid percent-encoding.

###### Return Value

An iterator to the inserted element.

###### Parameters

Name | Description
--- | ---
`before` | An iterator before which the param is inserted. This may be equal to `end()`.
`p` | The param to insert.